Subject: Re: [IP-Optical] RE: GMPLS - Lable

From: Maarten Vissers <[email-masked]>
Date: Tue, 19 Dec 2000 17:46:33 +0100

Eric,

Thanks for your reply. A few notes.

The VC-11 is not converted into a VC-12 (header text of 10.1.6/G.707 is
not accurately reflecting the process). A VC-11 is transported via a
TU-12 time slot, but it stays a VC-11 signal. The text in G.707
(10/2000) indicates this:

"When transporting a VC-11 in a TU-12, the VC-11 is adapted by adding
fixed stuff with even parity as shown in Figure 10-17. Thus the
resulting TU-12 payload can be monitored and cross-connected in the
network as though it were a VC-12 with its BIP value unchanged while
preserving end-to-end integrity of the real VC-11 path."

	Note that in SDH "lower order timeslots" are called :"TU",
	whereas the "signal" being transported via such TU timeslot
	is called a "VC". Idem for higher order timeslots (AU) and
	signals (VC).

	The equipment specification in ETSI's EN 300 417-4-1 (subclause
	4.3.5.6) is very explicit in the operation being performed. 
	A copy of this standard is available via
	http://webapp.etsi.org/pda/QueryForm.asp or directly via
	http://webapp.etsi.org/pda/home.asp?wki_id=7966
	http://webapp.etsi.org/exchangefolder/en_3004170401v010103p.pdf

I understand from your answer that you keep the VC-11 information
associated with the transport of this VC-11 signal via a TU-12 timeslot,
and are thus able to connect the TU-12 to a VC-11 termination point.
That answers my question. Thank you.

Finally, your remark on "inter(net)working" and "conversion" is an
indication to me of another set of language differences I wasn't aware
of until now. It's important to be aware of for future communications. 

In this specific case, there is no conversion of the VC-11 signal in the
terminology of SDH. VC-11 via TU-12 is seen as an interworking issue
between SONET and SDH as one example, but also between an AU3/VC3/TU11
based SDH network and a VC4/TU12 based SDH network.

With respect to the need to convert bytes in the overhead, there
shouldn't be any left when you interconnect a path termination in a
SONET equipment with an equivalent path termination in SDH equipment.
The lastest versions of T1.105 series, T.231 series and G.707, G.783 and
EN 300 417 series have addressed these differences. These differences
should be taken care of at the endpoints.

Regards,

Maarten

"Mannie, Eric" wrote:
> 
> Hi Maarten,
> 
> Transport of VC-11 via a TU-12 is of course covered. We discussed it in
> several earlier drafts. For instance, we proposed an extension to OSPF/IS-IS
> to advertise this conversion capability per node (draft presented at the
> Pittsburgh meeting).
> 
> Note that the label is used to indicate a time-slot, e.g. a VC-11 or VC-12.
> Moreover, a label is local to the interface between two nodes (per MPLS
> definition). It is not the label that "handles" with time-slot conversion
> but the signaling and the routing protocols, and some nodes of course.
> 
> When a VC-11 is transported via a TU-12, the VC-11 is "converted" to a VC-12
> (by adding fixed stuff). So, the result looks like a VC-12 (regular label).
> See G.707 section 10.1.6 ("VC-11 to VC-12 conversion for transport by a
> TU-12).
> 
> For instance, at the ingress interface you may have a VC-11 and at the
> egress interface you may have a VC-12.
> 
> The signaling protocol (GMPLS) uses the GPID to indicate that the VC-11 is
> indeed transported in a VC-12 so that an end system knows that it has to
> convert the VC-12 back to a VC-11. Intermediate switches doesn't need to
> know that the VC-12 is indeed a VC-11 (indeed, this is the goal).
> 
> Note finally that the issue of conversion is not the same as internetworking
> between SDH and SONET. Conversion can be used in a pure SDH network where
> some nodes don't allow to switch VC-11. Internetworking between SDH and
> SONET has other specific problems (how do you convert bytes in the overhead
> for instance).
> 
> Kind regards,
> 
> Eric
> 
> -----Original Message-----
> From: Maarten Vissers [mailto:[email-masked]]
> Sent: Tuesday, December 19, 2000 12:18 PM
> To: Mannie, Eric
> Cc: 'Heiles Juergen '; [email-masked] '; [email-masked] '
> Subject: Re: [IP-Optical] RE: GMPLS - Lable
> 
> Eric,
> 
> In SDH we are able to transport a VC-11 via a TU-12. This is an
> interworking case to transport VT1.5 signals from e.g. the USA to
> Europe. At the international gateway, the VT1.5 signals within STS1s are
> forwarded as VC-11 signals via TU-12s within a VC-4. Upto 63 VC-11
> signals can as such be transported per VC-4, or a mixture of VC-11 and
> VC-12 signals (all within TU12s).
> 
> Is the lable able to handle this type of transport?
> 
> Regards,
> 
> Maarten

---

From: "Mannie, Eric" <[email-masked]>
Date: Tue, 19 Dec 2000 12:52:33 +0100

Hi Maarten,

Kind regards,

Eric

-----Original Message-----
From: Maarten Vissers [mailto:[email-masked]]
Sent: Tuesday, December 19, 2000 12:18 PM
To: Mannie, Eric
Cc: 'Heiles Juergen '; [email-masked] '; [email-masked] '
Subject: Re: [IP-Optical] RE: GMPLS - Lable

Eric,

Regards,

Maarten